明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1692|回复: 1

请教版主一个基本概念

[复制链接]
发表于 2010-5-22 00:01:00 | 显示全部楼层 |阅读模式

在autodesk c#.net的例题三中

[CommandMethod("test")]
public void createCircle()
{

Circle circle;

BlockTableRecord btr;

BlockTable bt;

Transaction trans;

trans = HostApplicationServices.WorkingDatabase.TransactionManager.StartTransaction();

circle = new Circle(new Point3d(10, 10, 0), Vector3d.ZAxis, 2);
bt = (BlockTable)trans.GetObject(HostApplicationServices.WorkingDatabase.BlockTableId, OpenMode.ForRead);

btr = (BlockTableRecord)trans.GetObject(HostApplicationServices.WorkingDatabase.CurrentSpaceId,OpenMode.ForWrite );

btr.AppendEntity(circle);
trans.AddNewlyCreatedDBObject(circle, true); //and make sure the transaction knows about it!

trans.Commit();

trans.Dispose();

}

把bt = (BlockTable)trans....这句注释掉,程序依然照常执行,那通过这句话来打开模型空间有什么用呢?

发表于 2010-5-22 19:54:00 | 显示全部楼层

没什么用,autodesk的示例代码一直都没什么改进,呵呵

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 23:53 , Processed in 0.158628 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表